org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher

## Class PatternMatcherRootContent

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent<ParentType>
  - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.CompositeContent<RootContent,PatternMatcherContent>
    - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.PatternMatcherRootContent

- All Implemented Interfaces:
    IFilteredMatcherCollection

      public class PatternMatcherRootContent
      extends CompositeContent<RootContent,PatternMatcherContent>
      implements IFilteredMatcherCollection

  A top level element in the `QueryExplorer`'s tree viewer, which is actually displayed. Instances of this class are always associated with an instance of `PatternMatcherRootContentKey`. The child elements of this `CompositeContent` will consist of `PatternMatcherContent` instances.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent

      `parent, text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatcherRootContent(RootContent parent, PatternMatcherRootContentKey key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMatcher(AdvancedViatraQueryEngine engine, RuleEngine ruleEngine, IQuerySpecification<?> specification, boolean generated, QueryEvaluationHint hint)`
    `void` | `dispose()` Disposes of this content.
    `org.eclipse.core.databinding.observable.list.IObservableList` | `getChildren()` Returns the `IObservableList` of child elements.
    `java.util.Iterator<PatternMatcherContent>` | `getChildrenIterator()` Returns an iterator on the child elements.
    `org.eclipse.ui.IEditorPart` | `getEditorPart()`
    `java.lang.Iterable<IFilteredMatcherContent>` | `getFilteredMatchers()`
    `PatternMatcherRootContentKey` | `getKey()`
    `org.eclipse.emf.common.notify.Notifier` | `getNotifier()`
    `org.eclipse.core.runtime.IStatus` | `getStatus()`
    `java.lang.String` | `getText()` Returns the label that will be displayed in the `QueryExplorer` for this content.
    `boolean` | `isTainted()`
    `void` | `registerPattern(QueryEvaluationHint hint, IQuerySpecification<?>... patterns)`
    `void` | `removeMatcher(java.lang.String patternFqn)`
    `void` | `unregisterPattern(IQuerySpecification<?> specification)`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.CompositeContent

      `updateHasChildren`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent

      `getParent, setText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternMatcherRootContent

          public PatternMatcherRootContent(RootContent parent,
                                           PatternMatcherRootContentKey key)

  - ### Method Detail

    - #### registerPattern

          public void registerPattern(QueryEvaluationHint hint,
                                      IQuerySpecification<?>... patterns)

    - #### addMatcher

          public void addMatcher(AdvancedViatraQueryEngine engine,
                                 RuleEngine ruleEngine,
                                 IQuerySpecification<?> specification,
                                 boolean generated,
                                 QueryEvaluationHint hint)

    - #### unregisterPattern

          public void unregisterPattern(IQuerySpecification<?> specification)

    - #### removeMatcher

          public void removeMatcher(java.lang.String patternFqn)

    - #### dispose

          public void dispose()

      Description copied from class: `BaseContent`
      Disposes of this content. It is the method's responsibility to call dispose on all child elements. Important: do NOT call dispose on the children observable collection as it will be invoked when the observable tree viewer processes the list diffs. This implementation should only release those resources (matchers / engines / etc) which are directly bound to this content.
      Overrides:
        `dispose` in class `CompositeContent<RootContent,PatternMatcherContent>`

    - #### isTainted

          public boolean isTainted()

    - #### getKey

          public PatternMatcherRootContentKey getKey()

    - #### getEditorPart

          public org.eclipse.ui.IEditorPart getEditorPart()

    - #### getNotifier

          public org.eclipse.emf.common.notify.Notifier getNotifier()

    - #### getText

          public java.lang.String getText()

      Description copied from class: `BaseContent`
      Returns the label that will be displayed in the `QueryExplorer` for this content.
      Overrides:
        `getText` in class `BaseContent<RootContent>`
      Returns:
        the label of the content

    - #### getChildren

          public org.eclipse.core.databinding.observable.list.IObservableList getChildren()

      Description copied from class: `CompositeContent`
      Returns the `IObservableList` of child elements.
      Specified by:
        `getChildren` in class `CompositeContent<RootContent,PatternMatcherContent>`
      Returns:
        the observable list of child elements

    - #### getFilteredMatchers

          public java.lang.Iterable<IFilteredMatcherContent> getFilteredMatchers()

      Specified by:
        `getFilteredMatchers` in interface `IFilteredMatcherCollection`
      Since:
        1.4

    - #### getChildrenIterator

          public java.util.Iterator<PatternMatcherContent> getChildrenIterator()

      Description copied from class: `CompositeContent`
      Returns an iterator on the child elements.
      Specified by:
        `getChildrenIterator` in class `CompositeContent<RootContent,PatternMatcherContent>`
      Returns:
        the iterator on the child elements

    - #### getStatus

          public org.eclipse.core.runtime.IStatus getStatus()